CVE-2004-0746

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Konqueror in KDE 3.2.3 and earlier allows web sites to set cookies for country-specific top-level domains, such as .ltd.uk, .plc.uk and .firm.in, which could allow remote attackers to perform a session fixation attack and hijack a user's HTTP session.

References

http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000864

http://marc.info/?l=bugtraq&m=109327681304401&w=2

http://secunia.com/advisories/12341

http://www.kde.org/info/security/advisory-20040823-1.txt

http://www.mandrakesecure.net/en/advisories/advisory.php?name=MDKSA-2004:086

http://www.securityfocus.com/bid/10991

https://exchange.xforce.ibmcloud.com/vulnerabilities/17063

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11281

Details

Source: MITRE

Published: 2004-10-20

Updated: 2017-10-11

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (5 total)

IDNameProductFamilySeverity
18877FreeBSD : kdelibs -- konqueror cross-domain cookie injection (2797b27a-f55b-11d8-81b0-000347a4fa7d)NessusFreeBSD Local Security Checks
high
18782Slackware 10.0 / 9.1 / current : kde (SSA:2004-247-01)NessusSlackware Local Security Checks
high
2379Konqueror Cross-Domain ScriptingNessus Network MonitorWeb Clients
high
15427RHEL 2.1 / 3 : kdelibs, kdebase (RHSA-2004:412)NessusRed Hat Local Security Checks
high
14335Mandrake Linux Security Advisory : kdelibs/kdebase (MDKSA-2004:086)NessusMandriva Local Security Checks
high